# Class FormSubmitSuccessfulDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/forms/src/lib/directives/form-submit-successful.directive.ts:17

#####
Index

### Constructors

constructor

### Methods

ngAfterViewInit
ngOnDestroy

##
Constructors

### constructor

- new FormSubmitSuccessfulDirective(
  formDirective: FormDirective,
  template: TemplateRef<{ $implicit: any }>,
  viewContainerRef: ViewContainerRef,
  ): FormSubmitSuccessfulDirective

  #### Parameters

  - formDirective: FormDirective
  - template: TemplateRef<{ $implicit: any }>
  - viewContainerRef: ViewContainerRef

  #### Returns FormSubmitSuccessfulDirective

  - Defined in packages/angular/forms/src/lib/directives/form-submit-successful.directive.ts:21

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/forms/src/lib/directives/form-submit-successful.directive.ts:28

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/forms/src/lib/directives/form-submit-successful.directive.ts:37